var isPrime = function(number) {
  if(number === 1) return false;

  for(var i = 2; i < number; i++) {
    if(number % i === 0)
      return false;
  }
  return true;
}

var countPrimes = function(number) {
  var count = 0;
  for(var i = 1; i <= number; i++) {
    if(isPrime(i))
      count++;
  }           
  
  return count;
}

var countPrimesAsync = function(number, callback) {
  setTimeout(function() { callback(countPrimes(number)); },
    1);
}
                              
var number = 250000;
                                         
console.log("Counting primes...");
var numberOfPrimes = countPrimes(number);
console.log("Call made");
console.log("result is " + numberOfPrimes);

console.log("Couting primes...");              
countPrimesAsync(number, function(numberOfPrimes) {
  console.log("result is " + numberOfPrimes);  
});

console.log("Call made... we can do other things here if we like...");
