var isPrime = function(number) {
  if(number === 1) return false;

  for(var i = 2; i < number; i++) {
    if(number % i === 0)
      return false;
  }
  return true;
}

var countPrimes = function(number) {
  var count = 0;
  for(var i = 1; i <= number; i++) {
    if(isPrime(i))
      count++;
  }           
             
  return count;
}

var countPrimesAsync = function(number) {
  return new Promise(function(resolve, reject) {
    var invokeLater = function() {  
      if(number < 1)
        reject('invalid number');
      else
        resolve(countPrimes(number)); 
    };

    setTimeout(invokeLater, 1);
  });
}

module.exports = countPrimesAsync;